Bug 1660

Summary: Explicit feedback channels
Product: [Websites] maemo.org Website Reporter: Quim Gil <quim.gil>
Component: GeneralAssignee: Tero Kojo <tero.kojo>
Status: RESOLVED WONTFIX QA Contact: general <general>
Severity: enhancement    
Priority: High CC: andre_klapper, dneary, ferenc, quim.gil, vdv100
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: All   

Description Quim Gil (reporter) nokia 2007-07-16 01:20:53 UTC
Although we have several channels to provide feedback about maemo.org and in
general to the maemo team, they are not documented. Only insiders and people
around the maemo lists know this. We should have a "Feedback" or "Contact us"
link in the footer leading to a page explaining these channels.
Comment 1 Juha Tukkinen nokia 2007-08-03 15:10:26 UTC
Single point of contact is usually preferred e.g. in many help desk
organizations, now the preferred one is Bugzilla.

http://maemo.org/development/documentation/ now states:

Please enter bug reports about documentation to bugs.maemo.org under product
"website" and component "documentation". You can also give feedback or make a
feature request by setting the issue's "severity" to "enhancement".
Comment 2 Quim Gil (reporter) nokia 2007-08-06 08:55:54 UTC
I wasn't talking about documentation only: "feedback about maemo.org and in
general to the maemo team"

You are a maemo user or a developer. You want to provide feedback. You
currently have a hard time figuring out how we want you to communicate to us.
Comment 3 Juha Tukkinen nokia 2007-08-06 09:34:36 UTC
Ah, I understood as the issue was directed to component "Documentation" as a
bug, I thought you meant http://maemo.org/development/documentation/. Changing
component to "general" ("general issues with the website") and severity to
"enhancement" as I see this a feature request.

I agree that a general page on explaining how to contact us in general is for
good.
Comment 4 Andre Klapper maemo.org 2008-07-22 22:51:21 UTC
Bascially https://bugs.maemo.org/describecomponents.cgi?product=Website if you
are logged into Bugzilla?
Comment 5 Quim Gil (reporter) nokia 2008-07-23 10:27:03 UTC
(In reply to comment #4)
> Bascially https://bugs.maemo.org/describecomponents.cgi?product=Website if you
> are logged into Bugzilla?

The page should describe first the main feedback channels that make sense for a
newbie, including those not handled by maemo.org e.g. Nokia Customer Care for
device owners or Forum Nokia for professional developers or Jobs for those
willing to send a CV...

The Development Platform team includes email addresses for feedback in their
release notes. There is also
https://bugs.maemo.org/describecomponents.cgi?product=Development%20platform -
that needs update.

Then we have bugzilla components and mailing lists for maemo.org - and Dave is
working with that who is who

With all this info we should be mostly set, and improve if still someone
complains about not finding the right feedback channel. If you start a page a
can help completing it. Thanks!
Comment 6 Quim Gil (reporter) nokia 2008-10-15 08:13:56 UTC
This will probably be the bug I'll pick in the next sprint meeting.  :)
Comment 7 Dave Neary maemo.org 2008-10-15 10:48:52 UTC
To answer comment #1 and much of the following conversation: in conventional
organisations, absolutely, a single point of contact is normal. However, in a
free software project it is not unusual to be presented with a range of options
from IRC, Bugzilla, mailing lists (most common, I would say), forums and more.

What I would try to do is adapt the channel we recommend to the needs of the
person. You don't want to have "I tried to flash my tablet and it didn't work.
What do I do now?" bug reports coming into bugzilla, any more than you want
bugs being reported in IRC. The great thing about the mailing lists is that
someone will find themselves directed very quickly to the most appropriate
forum, but mailing lists for everything is not the best answer either. I think
the "Get help" page that seems to be an agreed element in the new site will
cater to this point.
Comment 8 Quim Gil (reporter) nokia 2008-11-04 23:44:35 UTC
High priority, as agreed at http://wiki.maemo.org/Maemo.org_Sprints/November_08
meeting.
Comment 9 Marcell Lengyel maemo.org 2008-12-03 22:54:40 UTC
Reassigning to Tero, as agreed on the Dec sprint meeting.
Comment 10 Ferenc Szekely maemo.org 2009-11-25 17:00:25 UTC
We can easily fix this bugs and add the 'Feedback' link to all *.maemo.org
pages, no matter what the backend application is (Midgard, GForge, Bugzilla,
MediaWiki, vBulletin etc etc). 

Question: does the 'Feedback' page exist already?
Comment 11 Dave Neary maemo.org 2009-11-25 17:43:43 UTC
I suppose it would go to Bugzilla?

The thing is, Talk feedback should go to Talk, and application feedback should
be against the specific application.
Comment 12 Ferenc Szekely maemo.org 2009-11-25 18:09:28 UTC
I agree, but I also think that opening bugzilla will scare away many users
(especially the ones would like to remain anonymous). Giving feedback should be
painless, but it should of course prevent spamming and other forms of misuse.

How about having a 'context' sensitive feedback feature? The stuff would relay
the 'feedback' based on the origin application. 

Certain steps of any feedback giving would be common:

1. Form opens and asks kindly for some message
2. User fills in the message field
3. If anonymous: user enters the captcha
4. User hits 'Submit'
3. The code on the server side will dispatch the feedback to the proper channel

Some scenarios:

1. User clicks 'Feedback' on the bottom of any garage page.
-> feedback goes as email to garage [at] maemo.org

2. User clicks 'Feedback' on the bottom of any maemo.org page.
-> feedback goes as email to website [at] maemo.org

3. User clicks 'Feedback' on an API documentation
-> feedback redirected to a 'pre filled' bug report that opens on
bugs.maemo.org

Garage projects could define their own 'preferred' feedback channels, let is be
a simple email, or a pre-filled bug entry.

We could identify the 'contexts' where we test run this idea.

Comments?
Comment 13 Quim Gil (reporter) nokia 2009-12-23 18:14:37 UTC
Related: http://talk.maemo.org/showpost.php?p=323568&postcount=1
Comment 14 Ferenc Szekely maemo.org 2010-04-19 10:36:04 UTC
As part of the April 10 sprint I am trying to get updates on website bugs. I
had a proposal for addressing this issue in November, but no comments have been
posted. How shall we proceed? Ideas? Maybe adding an item to backlog and
picking it up as a task in an upcoming sprint?
Comment 15 Dave Neary maemo.org 2010-04-20 02:54:41 UTC
A related issue that we should get done this month is to improve the bugzilla
categories for documentation. We have a good proposal which was posted on the
mailing list & seemed to gain support, so perhaps we should just go ahead and
do what was proposed there now. This would give a natural landing place for
website bugs in Bugzilla & make it easier to close this bug.

Dave.
Comment 16 Dave Neary maemo.org 2010-09-13 18:17:25 UTC
What is needed to resolve this bug? I've read through all the comments, and
there seems to be a mix of two ideas - a "feedback" link which is
contextualised for every page, and a single "Contact us" page which tells
someone where to go for different types of problem.

Can I get some clarification on what is needed, and who needs to do something
for this bug, please?
Comment 17 Quim Gil (reporter) nokia 2010-09-13 19:04:15 UTC
This bug was filed in the times when maemo.org was the official interface wuith
the Nokia team developing Maemo. Nowadays maemo.org is totally a different
thing. At least for me this bug can be closed now.
Comment 18 Dave Neary maemo.org 2010-09-13 19:28:55 UTC
Resolving WONTFIX, as per comment #17